## ros-humble-ublox-dgnss 0.4.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ublox_dgnss)

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ublox_ubx_msgs REQUIRED)
find_package(ublox_ubx_interfaces REQUIRED)
find_package(ublox_dgnss_node REQUIRED)
find_package(ublox_nav_sat_fix_hp_node REQUIRED)

install(
  DIRECTORY launch 
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-humble-ublox-dgnss (0.4.4-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com>  Tue, 23 May 2023 14:00:00 -0000

ros-humble-ublox-dgnss (0.4.3-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com>  Tue, 23 May 2023 14:00:00 -0000

ros-humble-ublox-dgnss (0.4.2-1jammy) jammy; urgency=high

  * fixed dependc
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Tue, 23 May 2023 14:00:00 -0000

ros-humble-ublox-dgnss (0.4.1-1jammy) jammy; urgency=high

  * updates for release
  * Merge pull request #10 <https://github.com/aussierobots/ublox_dgnss/issues/10> from aussierobots/F9R-and-RTCM
    F9 r and rtcm
  * added a new ntrip_client node to pub rtcm msgs
  * Merge pull request #9 <https://github.com/aussierobots/ublox_dgnss/issues/9> from gsokoll/F9R-and-RTCM
    Composable node version of navsatfix
  * Composable node version of navsatfix.  Added example launch file.
  * Merge pull request #7 <https://github.com/aussierobots/ublox_dgnss/issues/7> from CMP-Engineers/navsatfix
    Navsatfix
  * renamed node, clang formatted, updated README
  * added ubx-rxm-rtcm publishing
  * Contributors: Geoff Sokoll, Nick Hortovanyi
  * Merge pull request #10 <https://github.com/aussierobots/ublox_dgnss/issues/10> from aussierobots/F9R-and-RTCM
    F9 r and rtcm
  * added a new ntrip_client node to pub rtcm msgs
  * Merge pull request #9 <https://github.com/aussierobots/ublox_dgnss/issues/9> from gsokoll/F9R-and-RTCM
    Composable node version of navsatfix
  * Composable node version of navsatfix.  Added example launch file.
  * Merge pull request #7 <https://github.com/aussierobots/ublox_dgnss/issues/7> from CMP-Engineers/navsatfix
    Navsatfix
  * renamed node, clang formatted, updated README
  * added ubx-rxm-rtcm publishing
  * Contributors: Geoff Sokoll, Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Tue, 23 May 2023 14:00:00 -0000

ros-humble-ublox-dgnss (0.3.5-1jammy) jammy; urgency=high

  * fixed title underline
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Mon, 23 May 2022 14:00:00 -0000

ros-humble-ublox-dgnss (0.3.4-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com>  Mon, 23 May 2022 14:00:00 -0000

ros-humble-ublox-dgnss (0.3.3-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com>  Mon, 23 May 2022 14:00:00 -0000

ros-humble-ublox-dgnss (0.3.2-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com>  Thu, 12 May 2022 14:00:00 -0000

ros-humble-ublox-dgnss (0.3.1-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com>  Fri, 13 May 2022 02:43:00 -0000

ros-humble-ublox-dgnss (0.3.0-1jammy) jammy; urgency=high

  * changes for humble
  * removed author element
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Fri, 13 May 2022 00:26:00 -0000

ros-humble-ublox-dgnss (0.2.3-1jammy) jammy; urgency=high

  * changed build dependencies
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Sat, 24 Jul 2021 14:00:00 -0000

ros-humble-ublox-dgnss (0.2.2-1jammy) jammy; urgency=high

  * 0.2.2 build farm dependency changes
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Wed, 21 Jul 2021 21:14:00 -0000

ros-humble-ublox-dgnss (0.2.1-1jammy) jammy; urgency=high

  * updated version 0.2.1
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Wed, 21 Jul 2021 19:24:00 -0000

ros-humble-ublox-dgnss (0.2.0-1jammy) jammy; urgency=high

  * updated version number and email
  * Fixed license to Apache License, Version 2.0
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Mon, 19 Jul 2021 14:00:00 -0000

ros-humble-ublox-dgnss (0.1.0-1jammy) jammy; urgency=high

  * updated package version
  * Initial release
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Sat, 10 Jul 2021 14:00:00 -0000

=== debian/control ===
Source: ros-humble-ublox-dgnss
Section: misc
Priority: optional
Maintainer: Nick Hortovanyi <nick@aussierobots.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ntrip-client-node, ros-humble-ublox-dgnss-node, ros-humble-ublox-nav-sat-fix-hp-node, ros-humble-ublox-ubx-interfaces, ros-humble-ublox-ubx-msgs, ros-humble-ros-workspace
Homepage: https://github.com/aussierobots/ublox_dgnss
Standards-Version: 3.9.2

Package: ros-humble-ublox-dgnss
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ntrip-client-node, ros-humble-ublox-dgnss-node, ros-humble-ublox-nav-sat-fix-hp-node, ros-humble-ublox-ubx-interfaces, ros-humble-ublox-ubx-msgs, ros-humble-ros-workspace
Description: Provides a ublox_dgnss node for a u-blox GPS DGNSS receiver using Gen 9 UBX Protocol

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ublox-dgnss//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-ublox-dgnss 0.5.2

=== debian/changelog ===
ros-humble-ublox-dgnss (0.5.2-1bookworm) bookworm; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com>  Sat, 04 Nov 2023 16:00:00 -0000

ros-humble-ublox-dgnss (0.5.1-1bookworm) bookworm; urgency=high

  * Merge branch 'aussierobots:main' into main
  * Contributors: Geoff Sokoll

 -- Nick Hortovanyi <nick@aussierobots.com>  Thu, 12 Oct 2023 16:00:00 -0000

ros-humble-ublox-dgnss (0.5.0-1bookworm) bookworm; urgency=high

  * Merge branch 'main' of github.com:aussierobots/ublox_dgnss
  * Merge pull request #12 <https://github.com/aussierobots/ublox_dgnss/issues/12> from gsokoll/main
    Add multiple device support, and moving base+rover example
  * Add multiple device support, and moving base+rover example
  * Contributors: Geoff Sokoll, Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Thu, 12 Oct 2023 16:00:00 -0000

ros-humble-ublox-dgnss (0.4.4-1bookworm) bookworm; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com>  Tue, 23 May 2023 16:00:00 -0000

ros-humble-ublox-dgnss (0.4.3-1bookworm) bookworm; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com>  Tue, 23 May 2023 16:00:00 -0000

ros-humble-ublox-dgnss (0.4.2-1bookworm) bookworm; urgency=high

  * fixed dependc
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Tue, 23 May 2023 16:00:00 -0000

ros-humble-ublox-dgnss (0.4.1-1bookworm) bookworm; urgency=high

  * updates for release
  * Merge pull request #10 <https://github.com/aussierobots/ublox_dgnss/issues/10> from aussierobots/F9R-and-RTCM
    F9 r and rtcm
  * added a new ntrip_client node to pub rtcm msgs
  * Merge pull request #9 <https://github.com/aussierobots/ublox_dgnss/issues/9> from gsokoll/F9R-and-RTCM
    Composable node version of navsatfix
  * Composable node version of navsatfix.  Added example launch file.
  * Merge pull request #7 <https://github.com/aussierobots/ublox_dgnss/issues/7> from CMP-Engineers/navsatfix
    Navsatfix
  * renamed node, clang formatted, updated README
  * added ubx-rxm-rtcm publishing
  * Contributors: Geoff Sokoll, Nick Hortovanyi
  * Merge pull request #10 <https://github.com/aussierobots/ublox_dgnss/issues/10> from aussierobots/F9R-and-RTCM
    F9 r and rtcm
  * added a new ntrip_client node to pub rtcm msgs
  * Merge pull request #9 <https://github.com/aussierobots/ublox_dgnss/issues/9> from gsokoll/F9R-and-RTCM
    Composable node version of navsatfix
  * Composable node version of navsatfix.  Added example launch file.
  * Merge pull request #7 <https://github.com/aussierobots/ublox_dgnss/issues/7> from CMP-Engineers/navsatfix
    Navsatfix
  * renamed node, clang formatted, updated README
  * added ubx-rxm-rtcm publishing
  * Contributors: Geoff Sokoll, Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Tue, 23 May 2023 16:00:00 -0000

ros-humble-ublox-dgnss (0.3.5-1bookworm) bookworm; urgency=high

  * fixed title underline
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Mon, 23 May 2022 16:00:00 -0000

ros-humble-ublox-dgnss (0.3.4-1bookworm) bookworm; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com>  Mon, 23 May 2022 16:00:00 -0000

ros-humble-ublox-dgnss (0.3.3-1bookworm) bookworm; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com>  Mon, 23 May 2022 16:00:00 -0000

ros-humble-ublox-dgnss (0.3.2-1bookworm) bookworm; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com>  Thu, 12 May 2022 16:00:00 -0000

ros-humble-ublox-dgnss (0.3.1-1bookworm) bookworm; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com>  Fri, 13 May 2022 04:43:00 -0000

ros-humble-ublox-dgnss (0.3.0-1bookworm) bookworm; urgency=high

  * changes for humble
  * removed author element
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Fri, 13 May 2022 02:26:00 -0000

ros-humble-ublox-dgnss (0.2.3-1bookworm) bookworm; urgency=high

  * changed build dependencies
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Sat, 24 Jul 2021 16:00:00 -0000

ros-humble-ublox-dgnss (0.2.2-1bookworm) bookworm; urgency=high

  * 0.2.2 build farm dependency changes
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Wed, 21 Jul 2021 23:14:00 -0000

ros-humble-ublox-dgnss (0.2.1-1bookworm) bookworm; urgency=high

  * updated version 0.2.1
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Wed, 21 Jul 2021 21:24:00 -0000

ros-humble-ublox-dgnss (0.2.0-1bookworm) bookworm; urgency=high

  * updated version number and email
  * Fixed license to Apache License, Version 2.0
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Mon, 19 Jul 2021 16:00:00 -0000

ros-humble-ublox-dgnss (0.1.0-1bookworm) bookworm; urgency=high

  * updated package version
  * Initial release
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com>  Sat, 10 Jul 2021 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ublox-dgnss//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ublox-dgnss//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-ublox-dgnss//opt/ros/humble/opt/ublox_dgnss/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
